dbXML API

## org.dbxml.core.objects
Class Types

    java.lang.Object
      |
      +--org.dbxml.core.objects.Types

public final class Types
extends java.lang.Object

Types defines identifying values for the types that dbXML Reflectable methods support.

Field Summary
`static int` `ARGS`
`static int` `BOOLEAN`
`static int` `BYTE`
`static int` `CHAR`
`static int` `DOCUMENT`
`static int` `DOCUMENTFRAGMENT`
`static int` `DOUBLE`
`static int` `ELEMENT`
`static int` `EMPTY`
`static int` `FLOAT`
`static int` `INT`
`static int` `LONG`
`static int` `OBJECT`
`static int` `SHORT`
`static int` `STRING`
`static int` `UNKNOWN`
`static int` `VARIANT`
`static int` `VOID`

Method Summary
`static java.lang.String` `typeName(int type)`
`static int` `typeOf(java.lang.Class c)` TypeOf inspects the Class, and returns the type value for that Class or UNKNOWN, if the Class is not an acceptable signature type.
`static int` `typeOf(java.lang.Object object)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final int EMPTY

### UNKNOWN

    public static final int UNKNOWN

### VOID

    public static final int VOID

### BOOLEAN

    public static final int BOOLEAN

### BYTE

    public static final int BYTE

### CHAR

    public static final int CHAR

### SHORT

    public static final int SHORT

### INT

    public static final int INT

### LONG

    public static final int LONG

### FLOAT

    public static final int FLOAT

### DOUBLE

    public static final int DOUBLE

### OBJECT

    public static final int OBJECT

### STRING

    public static final int STRING

### ELEMENT

    public static final int ELEMENT

### DOCUMENT

    public static final int DOCUMENT

### DOCUMENTFRAGMENT

    public static final int DOCUMENTFRAGMENT

### ARGS

    public static final int ARGS

### VARIANT

    public static final int VARIANT

Method Detail

### typeOf

    public static int typeOf(java.lang.Class c)

  TypeOf inspects the Class, and returns the type value for that Class or UNKNOWN, if the Class is not an acceptable signature type.
  Parameters:
    `c` - The Class to check
  Returns:
    The type value

### typeOf

    public static int typeOf(java.lang.Object object)

### typeName

    public static java.lang.String typeName(int type)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved